// ISEKAI- the title says all.

// LOWER FLOOR

#include <adv3.h>
#include <en_us.h>

// TODO: practically EVERYTHING !!!

/* Four floors, plus a basement and a garret. No outside access, aside the 
inside one between the work and light library ?
from down to top, there are 12 rooms:
basement: Azuj's lab.
ground (EU) floor: ground, mundane & magical storage rooms.
First floor: light library, with my customary inglenook south.
2nd Floor: "overflow" library 
3rd Floor: Miyai's lab, with "alcove"
4th Floor: scenic room (four windows in ordinal direction, plus Miyai's 
"take off platform" on the west side), takeoff platform
Garret: astrometry observatory (I strongly suspect that Joey will go crazy 
and wild here...)
*/

// 1ST FLOOR AND BELOW (6 locations)
//L = light
llibrary: Room 'Light library'
"This library is the \"light\" one, not only because is more bright lighted, 
but also that, even at a cursory glance, the books here are of a lighter 
nature; you even notice many of those woodcut manga-like booklets.\n
on the southern side, an arch thru the thick wall lead to an inglenook, 
and a spiral staircase lead down and up, and a door north leads back to the 
work library."
north = library
south = inglenook
up = olibrary
down = tground //Tower ground floor
;

// my signature location with an curious name...
inglenook: Room 'Inglenook'
"The inglenook has a trapeizodal plan and is strategically placed on an 
overhead southern extension of the tower, and the walls are glazed on all 
three sides, like a ship's bridge, and albeit is still night, you 
easily figure that, with windows all around the south, east and west 
perimeter, is the most lighted spot inside this place. Four small but 
proportionally brighter globes strategically placed at the four ordinal 
direction give a more than adequate lighting during nightime without 
projecting shadows from people sitted on the padded bench running all 
around the glazed walls: This inglenook is by far the best-designed reading 
corner you have ever seen.\n An arch thru the thickness of the northern, 
rounded, stone wall lead back to the light library."
north = llibrary
;

tground: Room 'Tower\'s ground floor'
"This small space separates two distinct rooms, one north and the other 
south. The spiral staircase lead down, probably to a basement, and up, back 
to the light library."
up = llibrary
down = azujlab
north = magistor // magical storage
south = mundstor // mundane storage
;

magistor: Room 'Magical storageroom'
"This D-shaped room contain many packages, pouches, crates and boxes, the 
ones on the west side are neatly ordered, and those on the eastern side are 
haphazardly placed where happens to be a spot. an ordered side and a chaotic 
one: you can easily imagine who stores where; on the central, north side, 
the storage can be considered an artistic, ordered disorder. like, well, the 
branches of a tree. Fitting for an elf, you surmise.\n
South you can return to the staircase."
south = tground
;

mundstor: Room 'mundane storeroom'
"In This room with a plano-convex plant are stored mundane items; flask 
containing inks, reams of paper, even a large lawnmover, so large that can't 
pass thru the spiral staircase's well, less so all the doors up to the 
outside; Teleporting, no doubts. A large cabinet with many small drawer 
contains clockwork components, cogs, gears, shafts, you name it. Haphazardly 
stored on some shelves are object rensembling leyden jars and voltaic piles, 
and generally, very early electrical devices.\n
North you can return to the staircase."
north = tground
;
// of course, Azuj will fire her professional pride, when asked about...
azujlab: Room 'Azuj\'s Laboratory'
"Under the slight reddish light of a globe, you stare at an hacker's 
rendition of Dr. Frankenstein's laboratory. Haphazardly placed around, 
without a trace of order or recognisable criteria, are many diverse tools, 
devices and instruments, all dangerous-looking. On a stool is a wooden box\n
Treading very carefully around, aside not few clearly magical devices, you 
recognise an early galvanometer, a pyrometer of sort, and the unmistakeable 
shape of a Wimshurst machine. The smell around isn't sulphur, but more 
disqueting: burned blackpowder.\n Earlier you wondered how an horned and 
talon-winged daemon can creatively engineer demolitions with Magic: now the 
answer is literally in front of you. Clearly this is Azuj's magical 
laboratory.\n
Up you can return, or run away, to the staircase.\n"
up = tground
;

// tbox = thunder box // guess why the colour... 
tbox: OpenableContainer, Fixture 'thunder stool box' 'thunder box'
"This box is wooden, lacquered green, square, with a telltale round, thigt 
closed hole on its top. whose is more than enough for understanding that is 
actually what is euphemically called a 'thunder' box, that is, a portable 
toilet."

dobjFor(Open)
 {
  check()
   {
	failCheck('You thinked thrice; you do not know when was last used, and 
its owner is obvious and, objectively, you have exactly zero interest about
daemonic "roses by other name", "watered" or not...' );
   }
 }
; // of course, this prior of Azuj joining: with her, she laughs and shows 
// its cleanless; with also Miyai, she WILL fire a lil' jeer to her...


//ABOVE 1ST FLOOR

olibrary: Room 'overflow library'
"This library, lacking better terms, can be defined an \"overflow\" library; 
many shelves, especially on the higher shelves, are empty, and nearby all of 
the remaining shelves are half-empty. You wonder if the books here are the 
most recent ones, or are books removed to give space for recent ones. For 
sure, there's some piles of books on a table in the center of this library, 
waiting to be shelved.\n
You can go down to the light library or up to the floor above."
down = llibrary
up = miyalab
;

miyalab: Room 'Miyai\'s laboratory'
"This laboratory is very clean and ordered, and on the workbenches placed 
against the round wall are many magic and alchemical paraphernalia, many of 
those similiar, if not identical, to their chemical counterparts; after all, 
chemistry descends directly from alchemy; in fact, even with your limited 
knowledge of chemistry, you can easily identify some of the complex 
(al)chemical glassware: dessiccators, condensers, even an ebulliometer; on the 
shelves around, jars and flasks contain herbs and minerals. On the southwest, 
two short, low and slight diverging partitions forms a small open alcove, or 
to be precise.. a tiny \"relief room\", confirming that here relieving 
is considered a normal, natural act, not requiring privacy...\n
Aside that alcove, you can climb above or return below to that \"overflow\" 
library."
up = ritroom
down = olibrary
in = alcove
;
// this should be more properly a booth...
alcove: Room 'Tiny relief room'
"This relief room is so tiny that has no \"throne\", but a \"curule chair\", 
and in front is the slit, whose pass below the chair and disappear below the 
curved wall. below the chair, a grating above the slit support the collecting 
pot.\n
The diverging outward partitions are actually wingrests: after all, the 
obvious user is a clean, ordered angel, with white plumed wings..\n
You can't hold a wild laugh. \"If I ever want to cause a massive uproar 
amidst a scholastic debate, the description of this relief room, and that 
even angels have the need of relieving is much more than enough...\"."
out = miyalab
;

ritroom: Room 'ritual room ?'
"At a first glance, this room seems to have no apparent function, and is 
empty, save a small table, two candelabra, a chest and a rolled futon stashed 
against the north wall; around the round wall, four narrow and tall windows 
are on the four ordinal direction, and, curiously, an opening in the west 
wall lead to a narrow ledge jutting outside the tower.\n
You can't figure why there's a rolled futon, but a table and a pair of 
candelabra.. You suspect that the chest's content will confirm your 
intuition, that this room is used for magical and spiritual rituals or 
ceremonies."
west = takeplat //take-off platform 4 Miyai
down = miyalab
up = observatory
;
takeplat: Room 'Narrow ledge'
// obvious references to AC and Infocom's Nord'n'Bert
"Albeit isn't on the North side of the tower, you can't make head nor tail 
about this narrow ledge on the western side of the tower, projecting a pair 
or so of meters outside the tower and absolutely lacking parapets; in the 
penumbral light, you can see the grassy ground more than twenty foot below, 
and you lack magic or Faith for jumping down. Thanks to whatever Divinities 
Railei has, elves here don't suffer vertigo...\n
Looking around, you note a rung ladder leading down.. <b>diagonally</b>, that 
is, down <i>and</i> southward, disappearing behind the curvature of the 
tower."
east = ritroom
down = xtraroom // ceiling of the inglenook, where the MacGuffin Alpha, 
				  //prize for alpha tester, awaits.
;
observatory: Room 'Observatory'
 "this room is an astrometrical observatory, that is, an an observation for 
measuring the positions and movements of celestial bodies. a group of levers 
and wheels can move the roof and the rings on where the instruments are 
placed, pointing the various instruments toward the celestial bodies in the 
Raileian sky, and opening and closing the openings on the roof. Surely a 
recipe for joeyful puzzles... ;)"
down = ritroom
;

xtraroom: Room 'Ceiling of the inglenook'
"You are standing on the sloping ceiling of the inglenook, whose has no 
parapets; the only escape route is bravely climb back up this diagonal 
up-eastward ring ladder to the narrow ledge above, hidden behind the 
curvature of the tower."
up = takeplat
; 

//the MacGuffin Alpha, prize for the alpha testers.
// openly copied from the Tour Guide: Thanks, Eric !
guffin : Thing '(small) shining object' 'small shining object' @xtraroom
  "It's the MacGuffin Alpha, the coveted prize for Alpha testers !! " 
   initSpecialDesc = "{A prize/he} lies dangerously nearby the edge of the 
sloping ceiling of the inglenook. "
   initDesc = "It looks like it might be a prize of some sort. " 
   globalParamName = 'prize'
  
   dobjFor(Examine)
   {
     action()
     {
       inherited;
       changeName();
     }
   }
   changeName()
   {
     name = 'the MacGuffin Alpha';
     cmdDict.removeWord(self, 'object', &noun);
     initializeVocabWith('shining mac guffin MacGuffin alpha/prize');
	 guffin.isProperName = true;
   } 
;
